# Updating a Kubernetes connector

Periodically, you may need to update your Kubernetes connector to help maintain functionality, performance, and security.

This article explains how to update a connector through the Helm CLI.

***

### Prerequisites

<table><thead><tr><th width="370">Item</th><th>Description</th></tr></thead><tbody><tr><td><strong>Cluster admin access</strong></td><td>Cluster admin access to the cluster to integrate<br><br>The cluster admin access can be the built-in <a href="https://kubernetes.io/docs/reference/access-authn-authz/rbac/#user-facing-roles">cluster-admin</a> role or equivalent permission level.</td></tr><tr><td><strong>Helm Command Line Interface (Helm CLI)</strong></td><td><a href="https://helm.sh/docs/intro/install/">Command-line interface</a> used to manage Kubernetes applications</td></tr></tbody></table>

***

### Update a connector

Use the following steps to update an Apono connector for Kubernetes:

1. In the shell environment, run the following `helm upgrade` command to pull the most recent connector version.

   Shell

   ```shell
   helm upgrade apono-connector apono-connector --repo https://apono-io.github.io/apono-helm-charts \
       --set-string apono.token=[APONO_TOKEN] \
       --set-string apono.connectorId=[CONNECTOR_NAME] \
       --set serviceAccount.manageClusterRoles=true \
       --namespace apono-connector \
       --create-namespace
   ```

   | Parameter                                      | Description                                                                                                                                                                                                                                                           |
   | ---------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
   | **apono.connectorId** string                   | ID for the connector                                                                                                                                                                                                                                                  |
   | **apono.token** string                         | Token value obtained from the Apono UI                                                                                                                                                                                                                                |
   | **serviceAccount.managerClusterRoles** boolean | <p>Configures whether the connector also manages access to the cluster on which it is deployed<br><br>The value of <code>serviceAccount.manageClusterRoles</code> should be based on whether the installation has been set up to manage the cluster roles or not.</p> |
2. On the [**Connectors**](https://app.apono.io/connectors) page, verify that the connector has been updated.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apono.io/docs/kubernetes-environment/apono-connector-for-kubernetes/updating-a-kubernetes-connector.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
